import java.io.IOException;

import org.antlr.runtime.ANTLRFileStream;
import org.antlr.runtime.ANTLRInputStream;
import org.antlr.runtime.CharStream;
import org.antlr.runtime.CommonTokenStream;
import org.antlr.runtime.RecognitionException;
import org.antlr.runtime.TokenStream;

public class Main {
	public static void main(String[] args) throws IOException, RecognitionException {
		CharStream stream;
		
		if (args.length == 0) {
			stream = new ANTLRInputStream(System.in);
		} else {
			stream = new ANTLRFileStream(args[0]);
		}
		nameanaLexer  lexer       = new nameanaLexer(stream);
		TokenStream   tokenStream = new CommonTokenStream(lexer);
		nameanaParser parser      = new nameanaParser(tokenStream);
		
		parser.translationUnit();
	}
}
